ZIP_FSEEK(3) | Library Functions Manual | ZIP_FSEEK(3)

# NAME

`zip_fseek`, `zip_file_is_seekable` — seek in file

# LIBRARY

libzip (-lzip)

# SYNOPSIS

`#include <zip.h>`

zip_int8_t
`zip_fseek`(zip_file_t *file, zip_int64_t offset, int whence);

int
`zip_file_is_seekable`(zip_file_t *file);

# DESCRIPTION

The `zip_fseek`() function seeks to the specified offset relative to whence, just like fseek(3).

`zip_fseek` only works on uncompressed (stored), unencrypted data. When called on compressed or encrypted data it will return an error.

The `zip_file_is_seekable`() function returns 1 if a file is seekable.

# RETURN VALUES

If successful, `zip_fseek`() returns 0. Otherwise, -1 is returned.

`zip_file_is_seekable`() returns 1 if a file is seekable and 0 if not. On an invalid argument, it returns -1.

# SEE ALSO

libzip(3), zip_fclose(3), zip_file_get_error(3), zip_fopen(3), zip_fread(3), zip_ftell(3)

# HISTORY

`zip_fseek`() was added in libzip 1.2.0. `zip_file_is_seekable`() was added in libzip 1.9.0.

# AUTHORS

Dieter Baron <dillo@nih.at> and Thomas Klausner <wiz@gatalith.at>

September 11, 2024 | NiH